Bug 447196 - Selecting and dragging text crashes windows manager
Selecting and dragging text crashes windows manager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 14:52 EDT by Joel Eidsath
Modified: 2009-07-14 14:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:09:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log from crash _with_ Xorg.conf (22.30 KB, text/plain)
2008-05-29 09:27 EDT, Joel Eidsath
no flags Details
Xorg.conf (593 bytes, text/plain)
2008-05-29 09:28 EDT, Joel Eidsath
no flags Details
Xorg log from crash with autogenerated xorg.conf (25.74 KB, text/plain)
2008-05-29 09:32 EDT, Joel Eidsath
no flags Details

  None (edit)
Description Joel Eidsath 2008-05-18 14:52:38 EDT
Description of problem:

When "Enable Desktop Effects" has been turned on, my session will crash back to
the login screen when I highligh text in Firefox and attempt to drag it. This
does not happen with "Enable Desktop Effects" disabled. 

How reproducible:
Always

Steps to Reproduce:
1. Enable Desktop Effects in System->Preferences->Look and Feel->Desktop Effects
2. Open Firefox, go to a webpage and select text.
3. Attempt to drag the highlighted text to another part of the screen.
  
Actual results:
Crash to login screen.

Expected results:
No crash.

Additional info:
I'm using an Intel 965GM video card in a Thinkpad x61 laptop. I've only
attempted to reproduce the problem in Gnome.

This does not appear to be the same issue as Bug 441589, as all desktop effects
seem to work except for text dragging. I wasn't able to get any useful
information out of /var/log/messages or /var/log/Xorg.0.log
Comment 1 Matěj Cepl 2008-05-29 08:05:16 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Joel Eidsath 2008-05-29 09:27:22 EDT
Created attachment 307049 [details]
Xorg log from crash _with_ Xorg.conf
Comment 3 Joel Eidsath 2008-05-29 09:28:34 EDT
Created attachment 307050 [details]
Xorg.conf
Comment 4 Joel Eidsath 2008-05-29 09:32:02 EDT
Created attachment 307051 [details]
Xorg log from crash with autogenerated xorg.conf
Comment 5 Joel Eidsath 2008-05-29 09:39:18 EDT
This may or may not deserve an extra ticket. When running without an xorg.conf,
I couldn't use ctrl-alt-F1 to switch away from the login screen. It froze the
system and I had to reboot.
Comment 6 Bug Zapper 2009-06-09 20:58:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 14:09:12 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.